accumulo-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ctubb...@apache.org
Subject [1/4] accumulo git commit: Use undated option for thrift java generation
Date Sun, 24 Jan 2016 14:41:36 GMT
Repository: accumulo
Updated Branches:
  refs/heads/master 104e8dcec -> 2d99238d5


Use undated option for thrift java generation

Use generated_annotations=undated to prevent changing generated files
every time the build is run with the thrift profile active.


Project: http://git-wip-us.apache.org/repos/asf/accumulo/repo
Commit: http://git-wip-us.apache.org/repos/asf/accumulo/commit/ee7b24ab
Tree: http://git-wip-us.apache.org/repos/asf/accumulo/tree/ee7b24ab
Diff: http://git-wip-us.apache.org/repos/asf/accumulo/diff/ee7b24ab

Branch: refs/heads/master
Commit: ee7b24ab7ba227c0ff16d4684de87be77438d8c1
Parents: 104e8dc
Author: Christopher Tubbs <ctubbsii@apache.org>
Authored: Sun Jan 24 04:34:40 2016 -0500
Committer: Christopher Tubbs <ctubbsii@apache.org>
Committed: Sun Jan 24 04:34:40 2016 -0500

----------------------------------------------------------------------
 core/src/main/scripts/generate-thrift.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/accumulo/blob/ee7b24ab/core/src/main/scripts/generate-thrift.sh
----------------------------------------------------------------------
diff --git a/core/src/main/scripts/generate-thrift.sh b/core/src/main/scripts/generate-thrift.sh
index bc9b333..691ea79 100755
--- a/core/src/main/scripts/generate-thrift.sh
+++ b/core/src/main/scripts/generate-thrift.sh
@@ -65,7 +65,7 @@ THRIFT_ARGS="${THRIFT_ARGS} -o $BUILD_DIR"
 mkdir -p $BUILD_DIR
 rm -rf $BUILD_DIR/gen-java
 for f in src/main/thrift/*.thrift; do
-  thrift ${THRIFT_ARGS} --gen java "$f" || fail unable to generate java thrift classes
+  thrift ${THRIFT_ARGS} --gen java:generated_annotations=undated "$f" || fail unable to generate
java thrift classes
   thrift ${THRIFT_ARGS} --gen py "$f" || fail unable to generate python thrift classes
   thrift ${THRIFT_ARGS} --gen rb "$f" || fail unable to generate ruby thrift classes
   thrift ${THRIFT_ARGS} --gen cpp "$f" || fail unable to generate cpp thrift classes


Mime
View raw message